Commit f0a1013a authored by Kurt Roeckx's avatar Kurt Roeckx

New upstream version

parent d27673f4
ntp (1:4.2.8p4+dfsg-1) unstable; urgency=high
* New upstream release.
- Fixes CVE-2015-7850 CVE-2015-7704 CVE-2015-7701 CVE-2015-5196
CVE-2015-7848 CVE-2015-7849 CVE-2015-7854 CVE-2015-7852 CVE-2015-7853
CVE-2015-7851 CVE-2015-7705 CVE-2015-7855 CVE-2015-7871
- Drop format-security.patch, applied upstream.
-- Kurt Roeckx <kurt@roeckx.be> Wed, 21 Oct 2015 20:00:31 +0200
ntp (1:4.2.8p3+dfsg-1) unstable; urgency=medium
* New upstream version
......
Description: Fix build failures with -Werror=format-security
Author: Kurt Roeckx <kurt@roeckx.be>
Last-Update: 2015-07-20
Index: ntp-4.2.8p3+dfsg/sntp/unity/unity.c
===================================================================
--- ntp-4.2.8p3+dfsg.orig/sntp/unity/unity.c
+++ ntp-4.2.8p3+dfsg/sntp/unity/unity.c
@@ -326,8 +326,7 @@ void UnityConcludeTest(void)
printf(" ");
}
- printf("| ");
- printf(Unity.XFAILMessage);
+ printf("| %s", Unity.XFAILMessage);
Unity.XFAILMessage = NULL;
}
else
......@@ -5,4 +5,3 @@ ntpdate-ipv6.patch
ntpd-linux-caps-runtime.patch
openssl-disable-check.patch
libedit.patch
format-security.patch
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment